Bug 11161 - Relabel 'child fund' to 'sub fund'
Summary: Relabel 'child fund' to 'sub fund'
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-29 15:11 UTC by Nicole C. Engard
Modified: 2020-05-18 12:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 11161: Relabel 'child fund' to 'sub fund' in staff interface (3.71 KB, patch)
2020-01-12 11:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11161: Relabel 'child fund' to 'sub fund' in staff interface (3.76 KB, patch)
2020-02-03 08:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 11161: Relabel 'child fund' to 'sub fund' in staff interface (3.83 KB, patch)
2020-02-21 10:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-10-29 15:11:04 UTC
Child fund is confusing in the US and we would like to see 'sub fund' since that's what we'd call it here.
Comment 1 Katrin Fischer 2020-01-12 11:44:56 UTC
Created attachment 97269 [details] [review]
Bug 11161: Relabel 'child fund' to 'sub fund' in staff interface

It was noted, that 'sub fund' might be a better term to use than
'child fund'. So this patch changes it.

To test, check with and without patch:

- Add a budget in acquisitions
- Add a fund in acquisitions
- Add a sub/child fund to your fund (label of menu item #1)
- Edit your first fund, check option to update owners of
  sub/child funds (#2)
- Try to delete your 'parent' fund (tooltip #3)
- Click on the greyed out entry (alert ÃÃ#4)

If you like the chane, please sign-off. If you think otherwise,
please comment on the bug report.
Comment 2 Katrin Fischer 2020-01-12 11:45:38 UTC
This was a quick change actually, so putting the patch up and see what people think :)
Comment 3 David Roberts 2020-01-21 17:32:47 UTC
I tried signing this off on the PTFS Sandbox, but it doesn't seem to apply correctly.
Comment 4 David Nind 2020-02-03 08:56:44 UTC
Created attachment 98274 [details] [review]
Bug 11161: Relabel 'child fund' to 'sub fund' in staff interface

It was noted, that 'sub fund' might be a better term to use than
'child fund'. So this patch changes it.

To test, check with and without patch:

- Add a budget in acquisitions
- Add a fund in acquisitions
- Add a sub/child fund to your fund (label of menu item #1)
- Edit your first fund, check option to update owners of
  sub/child funds (#2)
- Try to delete your 'parent' fund (tooltip #3)
- Click on the greyed out entry (alert ÃÃ#4)

If you like the change, please sign-off. If you think otherwise,
please comment on the bug report.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Jonathan Druart 2020-02-21 10:55:15 UTC
Created attachment 99368 [details] [review]
Bug 11161: Relabel 'child fund' to 'sub fund' in staff interface

It was noted, that 'sub fund' might be a better term to use than
'child fund'. So this patch changes it.

To test, check with and without patch:

- Add a budget in acquisitions
- Add a fund in acquisitions
- Add a sub/child fund to your fund (label of menu item #1)
- Edit your first fund, check option to update owners of
  sub/child funds (#2)
- Try to delete your 'parent' fund (tooltip #3)
- Click on the greyed out entry (alert ÃÃ#4)

If you like the chane, please sign-off. If you think otherwise,
please comment on the bug report.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2020-02-21 10:55:36 UTC
Maybe also

admin/aqbudgets.pl:        die("Delete a fund with children is not possible");                                                                                                                                     

But not important..
Comment 7 Martin Renvoize 2020-02-21 16:08:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-03-13 00:53:30 UTC
enhancement not backported to 19.11.x